diff -uNrd ircd-ratbox-1.3-1/src/channel_mode.c BgChat-Ircd/src/channel_mode.c
--- ircd-ratbox-1.3-1/src/channel_mode.c	Thu Nov  6 19:00:44 2003
+++ BgChat-Ircd/src/channel_mode.c	Mon Mar 29 07:17:51 2004
@@ -1,11 +1,10 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  channel_mode.c: Controls modes on channels.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center 
  *  Copyright (C) 1996-2002 Hybrid Development Team 
- *  Copyright (C) 2002 ircd-ratbox development team 
- *
+  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: channel_mode.c,v 7.107.2.7 2003/11/07 00:00:44 leeh Exp $
+ *  $Id: channel_mode.c,v 7.107.2.7 2004/02/10 20:12:15 HaKer4o Exp $
  */
 
 #include "stdinc.h"
@@ -332,6 +331,27 @@
 		*mbuf++ = 'i';
 	if(chptr->mode.mode & MODE_NOPRIVMSGS)
 		*mbuf++ = 'n';
+	if (chptr->mode.mode & MODE_NOCOLOR)
+    		*mbuf++ = 'c';
+        
+	// from ircd fuis
+	if (chptr->mode.mode & MODE_NOTALK)
+		*mbuf++ = 'M';
+	if (chptr->mode.mode & MODE_NOSPAM)
+		*mbuf++ = 'H';
+	if (chptr->mode.mode & MODE_NOREPEAT)
+		*mbuf++ = 'z';
+	if (chptr->mode.mode & MODE_NOCTCP)
+		*mbuf++ = 'C';
+	if (chptr->mode.mode & MODE_JOINF)
+		*mbuf++ = 'q';
+
+	// +A +O modes 
+	if (chptr->mode.mode & MODE_ADMONLY)
+		*mbuf++ = 'A';
+	if (chptr->mode.mode & MODE_OPRONLY)
+		*mbuf++ = 'O';
+
 
 	if(chptr->mode.limit)
 	{
@@ -1043,6 +1063,15 @@
 		return;
 	}
 
+
+	/* added for protecting services' nicks */
+	if ((dir == MODE_DEL) && s_check(opnick))
+	{
+        sendto_one(source_p, form_str(ERR_SERV_NICK),
+                 me.name, source_p->name, opnick);
+             return;
+	}
+
 	if(MyClient(source_p) && (++mode_limit > MAXMODEPARAMS))
 		return;
 
@@ -1275,21 +1304,21 @@
 static struct ChannelMode ModeTable[255] =
 {
   {chm_nosuch, NULL},
-  {chm_nosuch, NULL},                             /* A */
+  {chm_simple, (void *) MODE_ADMONLY},            /* A */ // IRC Admins
   {chm_nosuch, NULL},                             /* B */
-  {chm_nosuch, NULL},                             /* C */
+  {chm_simple, (void *) MODE_NOCTCP},             /* C */
   {chm_nosuch, NULL},                             /* D */
   {chm_nosuch, NULL},                             /* E */
   {chm_nosuch, NULL},                             /* F */
   {chm_nosuch, NULL},                             /* G */
-  {chm_nosuch, NULL},                             /* H */
+  {chm_simple, (void *) MODE_NOSPAM},             /* H */
   {chm_invex, NULL},                              /* I */
   {chm_nosuch, NULL},                             /* J */
   {chm_nosuch, NULL},                             /* K */
   {chm_nosuch, NULL},                             /* L */
-  {chm_nosuch, NULL},                             /* M */
+  {chm_simple, (void *) MODE_NOTALK},             /* M */
   {chm_nosuch, NULL},                             /* N */
-  {chm_nosuch, NULL},                             /* O */
+  {chm_simple, (void *) MODE_OPRONLY},            /* O */  // IRC Operators only 
   {chm_nosuch, NULL},                             /* P */
   {chm_nosuch, NULL},                             /* Q */
   {chm_nosuch, NULL},                             /* R */
@@ -1309,7 +1338,7 @@
   {chm_nosuch, NULL},
   {chm_nosuch, NULL},				  /* a */
   {chm_ban, NULL},                                /* b */
-  {chm_nosuch, NULL},                             /* c */
+  {chm_simple, (void *) MODE_NOCOLOR},            /* c */
   {chm_nosuch, NULL},                             /* d */
   {chm_except, NULL},                             /* e */
   {chm_nosuch, NULL},                             /* f */
@@ -1323,7 +1352,7 @@
   {chm_simple, (void *) MODE_NOPRIVMSGS},         /* n */
   {chm_op, NULL},                                 /* o */
   {chm_simple, (void *) MODE_PRIVATE},            /* p */
-  {chm_nosuch, NULL},                             /* q */
+  {chm_simple, (void *) MODE_JOINF},              /* q */
   {chm_nosuch, NULL},                             /* r */
   {chm_simple, (void *) MODE_SECRET},             /* s */
   {chm_simple, (void *) MODE_TOPICLIMIT},         /* t */
@@ -1332,7 +1361,7 @@
   {chm_nosuch, NULL},                             /* w */
   {chm_nosuch, NULL},                             /* x */
   {chm_nosuch, NULL},                             /* y */
-  {chm_nosuch, NULL},                             /* z */
+  {chm_simple, (void *) MODE_NOREPEAT},           /* z */
 };
 /* *INDENT-ON* */
 
diff -uNrd ircd-ratbox-1.3-1/src/class.c BgChat-Ircd/src/class.c
--- ircd-ratbox-1.3-1/src/class.c	Sun Oct 19 19:39:19 2003
+++ BgChat-Ircd/src/class.c	Mon Mar 29 07:17:52 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  class.c: Controls connection classes.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: class.c,v 7.51.2.6 2003/10/19 23:39:19 leeh Exp $
+ *  $Id: class.c,v 7.51.2.6 2004/02/09 21:18:55 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/client.c BgChat-Ircd/src/client.c
--- ircd-ratbox-1.3-1/src/client.c	Thu Nov 27 15:20:14 2003
+++ BgChat-Ircd/src/client.c	Mon Apr  5 13:52:37 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  client.c: Controls clients.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.c,v 7.385.2.13 2003/11/27 20:20:14 leeh Exp $
+ *  $Id: client.c,v 7.385.2.13 2004/02/09 22:38:15 HaKer4o Exp $
  */
 #include "stdinc.h"
 #include "config.h"
@@ -57,6 +56,9 @@
 #include "balloc.h"
 #include "listener.h"
 
+#define SERVICESHOST	"BGChat.Services"
+#define GLINERHOST	"Gliner.BGChat.com"
+
 
 static void check_pings_list(dlink_list * list);
 static void check_unknowns_list(dlink_list * list);
@@ -848,6 +850,28 @@
 			--Count.oper;
 		if(IsInvisible(client_p))
 			--Count.invisi;
+
+		if (IsNSId(client_p)) {
+		    CurrentIdentUsers--;
+			if (CurrentIdentUsers < 0) {
+				CurrentIdentUsers = 0;
+		    }
+		}
+
+		if (IsGLId(client_p)) {
+		    CurrentGlinerUsers--;
+			if (CurrentGlinerUsers < 0) {
+				CurrentGlinerUsers = 0;
+            }
+		}
+
+		if (IsOSId(client_p)) {
+		    CurrentOSidUsers--;
+			if (CurrentOSidUsers < 0) {
+				CurrentOSidUsers = 0;
+            }
+        }
+
 	}
 
 	if(splitchecking && !splitmode)
@@ -1147,6 +1171,39 @@
 		   (source_p->flags & FLAGS_KILLED) == 0)
 			sendto_one(target_p, ":%s SQUIT %s :%s", from->name, source_p->name,
 				   comment);
+
+		if (!strcasecmp(GLINERHOST, source_p->name)) {
+			dlink_node *gptr;
+
+		    CurrentGlinerUsers = 0;
+			for (gptr = global_client_list.head; gptr; gptr = gptr->next) {
+				target_p = gptr->data;
+                if (IsServer(target_p) || IsMe(target_p))
+					    continue;
+				if (IsGLId(target_p)) {
+					   ClearGLId(target_p);
+			    }
+			}
+		}
+
+		if (!strcasecmp(SERVICESHOST, source_p->name)) {
+            dlink_node *ptr;
+	
+            CurrentIdentUsers = 0;
+            CurrentOSidUsers = 0;
+            for (ptr = global_client_list.head; ptr; ptr = ptr->next) {
+				target_p = ptr->data;
+                if (IsServer(target_p) || IsMe(target_p))
+					    continue;
+				if (IsNSId(target_p)) {
+                   ClearNSId(target_p);
+			    }
+                if (IsOSId(target_p)) {
+                   ClearOSId(target_p);
+			    }
+             } 
+        }
+
 	}
 	else if(IsPerson(source_p))	/* ...just clean all others with QUIT... */
 	{
@@ -1854,6 +1911,14 @@
 
 	del_all_accepts(source_p);
 
+	if (IsNSId(source_p)) {
+        CurrentIdentUsers--;
+        if (CurrentIdentUsers < 0)
+                CurrentIdentUsers = 0;
+	    ClearNSId(source_p);
+	}
+
+
 	/* fd_desc is long enough */
 	fd_note(client_p->localClient->fd, "Nick: %s", nick);
 
@@ -2078,3 +2143,77 @@
 		BlockHeapFree(user_heap, user);
 	}
 }
+
+
+
+static char cyr2lat[] = {
+  'A', 'B', 'V', 'G', 'D', 'E', 'Z', 'Z', 'I', 'J', 'K', 'L', 'M', 'N',
+  'O', 'P', 'R', 'S', 'T', 'U', 'F', 'H', 'C', '4', '6', '@', 'Y', '#',
+  'J', '#', 'U', 'Q',
+  'a', 'b', 'v', 'g', 'd', 'e', 'z', 'z', 'i', 'j', 'k', 'l', 'm', 'n',
+  'o', 'p', 'r', 's', 't', 'u', 'f', 'h', 'c', '4', '6', '@', 'y', '#',
+  'j', '#', 'u', 'q'
+};
+
+/*
+ * this will transpose cyrillic characters
+ * into their latin phonetic counterparts
+ *
+ *                                
+ */
+char *translate(struct Client *client_p, char *buf)
+{
+  unsigned char *p = buf;
+  int offset;
+
+  if (IsSetTransWin(client_p))
+    offset = 192;
+  else if (IsSetTransISO(client_p))
+    offset = 176;
+  else
+    return buf;
+
+  while (*p)
+  {
+	if ((*p >= offset) && (*p < offset + 2*32))
+  	  *p = cyr2lat[*p - offset];
+    ++p;
+  }
+
+  return buf;
+}
+
+
+void add_nokick_chan(struct Client * cptr, char * chan) {
+       dlink_node *nchptr;
+       struct Channel * chptr;
+	ilog(L_ALL,"Added %s to %s nokick",cptr->name,chan);
+       chptr = hash_find_channel(chan);
+       if (!chptr) return;
+       if ((nchptr = dlinkFind(&cptr->user->nokick, chptr)) == NULL)
+		dlinkAddAlloc(chptr, &cptr->user->nokick);
+
+}
+
+void del_nokick_chan(struct Client * cptr, char * chan) {
+       dlink_node *nchptr;
+       struct Channel * chptr;
+	ilog(L_ALL,"Deleted %s to %s nokick",cptr->name,chan);
+       chptr = hash_find_channel(chan);
+       if (!chptr) return;
+       if (nchptr = dlinkFind(&cptr->user->nokick, chptr))
+	    dlinkDestroy(nchptr, &cptr->user->nokick);
+
+}
+
+void clear_nokick_list(struct Client * cptr)  {
+       dlink_node *nchptr;
+       struct Channel * chptr;
+	
+		DLINK_FOREACH(nchptr,cptr->user->nokick.head)
+	    {
+			dlinkDestroy(nchptr, &cptr->user->nokick);
+		}
+		ilog(L_DEBUG,"Nokick list for %s cleared!",cptr->name);
+}
+
diff -uNrd ircd-ratbox-1.3-1/src/cluster.c BgChat-Ircd/src/cluster.c
--- ircd-ratbox-1.3-1/src/cluster.c	Fri Aug  8 15:19:27 2003
+++ BgChat-Ircd/src/cluster.c	Mon Mar 29 07:17:51 2004
@@ -1,5 +1,5 @@
 /*
- * ircd-ratbox: A slightly useful ircd.
+ * ircd-hybrid: A slightly useful ircd.
  * cluster.c: The code for handling kline clusters
  *
  * Copyright (C) 2002 ircd-ratbox development team
@@ -28,7 +28,7 @@
  * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  * POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: cluster.c,v 7.8.2.2 2003/08/08 19:19:27 leeh Exp $
+ * $Id: cluster.c,v 7.8.2.2 2004/02/09 21:18:55 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/crypt.c BgChat-Ircd/src/crypt.c
--- ircd-ratbox-1.3-1/src/crypt.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/crypt.c	Mon Mar 29 07:17:51 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  crypt.c: Provides MD5 password crypt() functions.
  *
  *  ----------------------------------------------------------------------------
diff -uNrd ircd-ratbox-1.3-1/src/dynlink.c BgChat-Ircd/src/dynlink.c
--- ircd-ratbox-1.3-1/src/dynlink.c	Mon Jul  7 09:54:26 2003
+++ BgChat-Ircd/src/dynlink.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  dynlink.c: A module loader.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- * $Id: dynlink.c,v 7.22.2.2 2003/07/07 13:54:26 leeh Exp $
+ * $Id: dynlink.c,v 7.22.2.2 2004/02/09 21:18:55 HaKer4o Exp $
  *
  */
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/event.c BgChat-Ircd/src/event.c
--- ircd-ratbox-1.3-1/src/event.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/event.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  event.c: Event functions.
  *
  *  Copyright (C) 1998-2000 Regents of the University of California
  *  Copyright (C) 2001-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  Code borrowed from the squid web cache by Adrian Chadd.
  *  Original header:
@@ -39,7 +38,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.c,v 7.37.2.1 2003/06/26 14:03:11 androsyn Exp $
+ *  $Id: event.c,v 7.37.2.1 2004/02/11 23:00:23 HaKer4o Exp $
  */
 
 /*
diff -uNrd ircd-ratbox-1.3-1/src/fdlist.c BgChat-Ircd/src/fdlist.c
--- ircd-ratbox-1.3-1/src/fdlist.c	Wed Nov 26 21:57:46 2003
+++ BgChat-Ircd/src/fdlist.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  fdlist.c: Maintains a list of file descriptors.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.c,v 7.39.2.2 2003/11/27 02:57:46 androsyn Exp $
+ *  $Id: fdlist.c,v 7.39.2.2 2004/02/09 21:18:55 HaKer4o Exp $
  */
 #include "stdinc.h"
 #include "config.h"		/* option settings */
diff -uNrd ircd-ratbox-1.3-1/src/fileio.c BgChat-Ircd/src/fileio.c
--- ircd-ratbox-1.3-1/src/fileio.c	Fri Jun 27 10:22:54 2003
+++ BgChat-Ircd/src/fileio.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybird: A slightly useful ircd.
  *  fileio.c: Provides a file input-output interface to ircd.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.c,v 7.29.2.2 2003/06/27 14:22:54 androsyn Exp $
+ *  $Id: fileio.c,v 7.29.2.2 2004/02/09 21:18:55 HaKer4o Exp $
  */
 #include "stdinc.h"
 #include "config.h"
diff -uNrd ircd-ratbox-1.3-1/src/getopt.c BgChat-Ircd/src/getopt.c
--- ircd-ratbox-1.3-1/src/getopt.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/getopt.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  getopt.c: Uses getopt to fetch the command line options.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: getopt.c,v 7.19.2.1 2003/06/26 14:03:11 androsyn Exp $
+ *  $Id: getopt.c,v 7.19.2.1 2004/02/09 16:13:01 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/hash.c BgChat-Ircd/src/hash.c
--- ircd-ratbox-1.3-1/src/hash.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/hash.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  hash.c: Maintains hashtables.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hash.c,v 7.77.2.1 2003/06/26 14:03:11 androsyn Exp $
+ *  $Id: hash.c,v 7.77.2.1 2004/02/11 01:22:32 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/hook.c BgChat-Ircd/src/hook.c
--- ircd-ratbox-1.3-1/src/hook.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/hook.c	Mon Mar 29 07:17:51 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  hook.c: Provides a generic event hooking interface.
  *
  *  Copyright (C) 2000-2002 Edward Brocklesby, Hybrid Development Team
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.c,v 7.28.2.1 2003/06/26 14:03:11 androsyn Exp $
+ *  $Id: hook.c,v 7.28.2.1 2004/02/09 15:18:32 HaKer4o Exp $
  */
 
 /* hooks are used by modules to hook into events called by other parts of
diff -uNrd ircd-ratbox-1.3-1/src/hostmask.c BgChat-Ircd/src/hostmask.c
--- ircd-ratbox-1.3-1/src/hostmask.c	Thu Jun 26 10:03:11 2003
+++ BgChat-Ircd/src/hostmask.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  hostmask.c: Code to efficiently find IP & hostmask based configs.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hostmask.c,v 7.88.2.1 2003/06/26 14:03:11 androsyn Exp $
+ *  $Id: hostmask.c,v 7.88.2.1 2004/02/06 12:07:29 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/irc_string.c BgChat-Ircd/src/irc_string.c
--- ircd-ratbox-1.3-1/src/irc_string.c	Thu Jun 26 10:03:12 2003
+++ BgChat-Ircd/src/irc_string.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  irc_string.c: IRC string functions.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: irc_string.c,v 7.67.2.1 2003/06/26 14:03:12 androsyn Exp $
+ *  $Id: irc_string.c,v 7.67.2.1 2004/02/09 21:39:15 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/ircd.c BgChat-Ircd/src/ircd.c
--- ircd-ratbox-1.3-1/src/ircd.c	Fri Nov 28 10:36:49 2003
+++ BgChat-Ircd/src/ircd.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  ircd.c: Starts up and runs the ircd.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
diff -uNrd ircd-ratbox-1.3-1/src/ircd_lexer.l BgChat-Ircd/src/ircd_lexer.l
--- ircd-ratbox-1.3-1/src/ircd_lexer.l	Fri Nov 28 11:29:18 2003
+++ BgChat-Ircd/src/ircd_lexer.l	Mon Mar 29 07:17:51 2004
@@ -15,7 +15,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- * $Id: ircd_lexer.l,v 1.154.2.2 2003/11/28 16:29:18 leeh Exp $
+ * $Id: ircd_lexer.l,v 1.154.2.2 2004/02/09 21:18:55 HaKer4o Exp $
  */
 
 %option case-insensitive
diff -uNrd ircd-ratbox-1.3-1/src/ircd_parser.y BgChat-Ircd/src/ircd_parser.y
--- ircd-ratbox-1.3-1/src/ircd_parser.y	Fri Aug  8 15:19:27 2003
+++ BgChat-Ircd/src/ircd_parser.y	Mon Mar 29 07:17:51 2004
@@ -1,6 +1,6 @@
 /* This code is in the public domain.
  * $Nightmare: nightmare/src/main/parser.y,v 1.2.2.1.2.1 2002/07/02 03:42:10 ejb Exp $
- * $Id: ircd_parser.y,v 1.271.2.2 2003/08/08 19:19:27 leeh Exp $
+ * $Id: ircd_parser.y,v 1.271.2.2 2004/02/09 17:19:05 HaKer4o Exp $
  */
 
 %{
diff -uNrd ircd-ratbox-1.3-1/src/kdparse.c BgChat-Ircd/src/kdparse.c
--- ircd-ratbox-1.3-1/src/kdparse.c	Thu Jun 26 10:03:13 2003
+++ BgChat-Ircd/src/kdparse.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  kdparse.c: Parses K and D lines.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: kdparse.c,v 7.29.2.1 2003/06/26 14:03:13 androsyn Exp $
+ *  $Id: kdparse.c,v 7.29.2.1 2004/02/09 21:38:13 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/linebuf.c BgChat-Ircd/src/linebuf.c
--- ircd-ratbox-1.3-1/src/linebuf.c	Fri Jan  9 14:58:49 2004
+++ BgChat-Ircd/src/linebuf.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  linebuf.c: Maintains linebuffers.
  *
  *  Copyright (C) 2001-2002 Adrian Chadd <adrian@creative.net.au>
  *  Copyright (C) 2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: linebuf.c,v 7.109.2.14 2004/01/09 19:58:49 androsyn Exp $
+ *  $Id: linebuf.c,v 7.109.2.14 2004/02/09 23:51:49 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/listener.c BgChat-Ircd/src/listener.c
--- ircd-ratbox-1.3-1/src/listener.c	Thu Jun 26 10:03:16 2003
+++ BgChat-Ircd/src/listener.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  listener.c: Listens on a port.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.c,v 7.91.2.1 2003/06/26 14:03:16 androsyn Exp $
+ *  $Id: listener.c,v 7.91.2.1 2003/06/26 14:03:16 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/m_error.c BgChat-Ircd/src/m_error.c
--- ircd-ratbox-1.3-1/src/m_error.c	Thu Nov 20 17:09:12 2003
+++ BgChat-Ircd/src/m_error.c	Mon Mar 29 07:17:51 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  m_error.c: Handles error messages from the other end.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_error.c,v 7.33.2.4 2003/11/20 22:09:12 leeh Exp $
+ *  $Id: m_error.c,v 7.33.2.4 2004/02/09 21:18:55 HaKer4o Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/match.c BgChat-Ircd/src/match.c
--- ircd-ratbox-1.3-1/src/match.c	Fri Sep  5 17:52:15 2003
+++ BgChat-Ircd/src/match.c	Mon Mar 29 07:17:51 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: match.c,v 7.32.2.3 2003/09/05 21:52:15 leeh Exp $
+ * $Id: match.c,v 7.32.2.3 2004/02/09 21:45:55 HaKer4o Exp $$
  *
  */
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.3-1/src/md5.c BgChat-Ircd/src/md5.c
--- ircd-ratbox-1.3-1/src/md5.c	Thu Jun 26 10:03:16 2003
+++ BgChat-Ircd/src/md5.c	Mon Mar 29 07:17:51 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  md5.c: An MD5 implementation.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
diff -uNrd ircd-ratbox-1.3-1/src/memory.c BgChat-Ircd/src/memory.c
--- ircd-ratbox-1.3-1/src/memory.c	Thu Jun 26 10:03:16 2003
+++ BgChat-Ircd/src/memory.c	Mon Mar 29 07:17:52 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  memory.c: Memory utilities.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
